gnome 2.16 packaging

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

gnome 2.16 packaging

Alexander Wirt-4
Hi folks,

we packaged gnome for customer in the last 3 weeks. He asked us to made
them public available, so here they are...

There are still many bugs so please look into the README first (attached
below) and in the BUGS file second. If you have some fixes/bugs please
send them to me.

There are several packages updated and some are in the repo to fit some
special needs of our customer (see the README).

I also know that there are several build-deps missing, please report any
missings to me.

And here it is:

(all in one) http://www.credativ.com/~awi/gnome/ports.tar.gz
(extracted) http://www.credativ.com/~awi/gnome/ports/

Alex

P.S. please don't bite me too much for packaging errors. The last time I
packaged applications to openbsd is a few years ago.

I packaged gnome 2.16 for a customer that had, due to export restrictions, some
special requirements. There are some "low-crypto" patches included that makes
the packages compliant to U.S. export restrictions, they will be removed later
if the packages should be included to OBSD. Thats also the reason why yelp and
epiphany are not packaged yet.

DISCLAIMER
==========

I'm aware that there are several bugs left, especially when it comes to
deps. If you fix something please send me a patch to:
[hidden email].

AUTHORS/THANKS
==============

Thanks go to our unnamed customer who sponsored this packaging and asked us to
made them public available.

Most work was done by Alexander Wirt and Marc Brockschmidt, some extra credits
go to Patrick Winnertz and Harald Derksen.



smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: gnome 2.16 packaging

Sam Fourman Jr.
I am REALLY excited about this port of Gnome 2.16


I Installed in this order and when i got to gtk+ I get error code 1

Missing library for tiff.35
Missing library for png.3
Missing library for jpeg.62

do you have specific versions that I have to install?

I am using today's -current build 1198 with todays ports tree
on a fresh install

everything up to gtk+ built fine

any help would be great

Sam Fourman Jr.

On 11/3/06, Alexander Wirt <[hidden email]> wrote:

> Sam Fourman Jr. schrieb:
> > is there any Recomended order to build this gnome port for a base Desktop?
>
> This is, basically, my working list.
>
> Its not at all complete, but should do the trick (please ignore the
> german comments :)).
>
> Alex
>
> gmake (aus ports)
> freetype (aus ports)
> iconv (aus ports)
> popt (aus ports)
> bison (aus ports)
> X.org (aus eigenem OpenBSD-Repository)
> python2.4 (mit gdbm bauen!)
> p5-XML-Parser (aus ports, brauchen fast alle Gnome-Apps)
> p5-XML-Simple (aus ports, für icon-naming-utils)
> png (aus ports)
> libexif (aus ports)
> liboil (aus ports)
> pyrex (selbst gebauter port, siehe plato)
> libxml (aus ports, auch env FLAVOR=python make machen)
> openldap (aus ports)
> ImageMagick (ports)
> expat (aus ports)
> PORTED: glib
> fontconfig (font-Path anpassen!)
> PORTED: icon-naming-utils
> ORTED: dbus
> PORTED: dbus-glib
> PORTED: dbus-python
> PORTED: gnome-menus
> PORTED: desktop-file-utils
> PORTED: hicolor-icon-theme
> PORTED: tango-icon-theme
> PORTED: glitz
> PORTED: cairo
> PORTED: libXft
> PORTED: pango
> PORTED: atk
> PORTED: gtk+
> PORTED: gtk-doc
> PORTED: GConf
> PORTED: ORBit2
> PORTED: libIDL
> PORTED: intltool (war aktuell)
> PORTED: audiofile (war aktuell)
> PORTED: esound
> PORTED: libart_lgpl (war aktuell)
> PORTED: gamin (war aktuell)
> PORTED: libbonobo
> PORTED: libglade (python2.4 erzwingen, dann stimmt's auch mit expat)
> PORTED: pygobject
> PORTED: pycairo
> PORTED: pygtk
> PORTED: gnome-icon-theme
> PORTED: libgnomecups
> PORTED: libgnomeprint
> PORTED: avahi (CONFIGURE_ARGS += PYTHON=python2.4, configure patchen wie
> http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/avahi/files/patch-configure?rev=1.6&content-type=text/x-cvsweb-markup,
> für libavahi-common.so -lpthread zum Linken geben, iface-pfroute.c:
> #define HAVE_SYS_SYSCTL_H 1)
> PORTED: gnome-vfs
> PORTED: gnome-vfs-moniker
> PORTED: libgnome
> PORTED: libgnomecanvas
> PORTED: libbonoboui
> PORTED: gnome-keyring
> PORTED: libgnomeui
> PORTED: gail
> PORTED: libgnomeprintui
> PORTED: libcroco
> PORTED: libgsf
> PORTED: librsvg (disable firefox plugin)
> startup-notification (aus ports)
> PORTED: gtk-engines2
> PORTED: gnome-themes
> PORTED: gnome-doc-utils
> PORTED: gnome-desktop
> PORTED: eel
> PORTED: gtksourceview
> PORTED: libgtkhtml
> PORTED: libwnck
> PORTED: libsoup
> PORTED: evolution-data-server
> PORTED: gnome-panel
> PORTED: pyorbit (PYTHON=python2.4)
> PORTED: nautilus
> PORTED: gnome-python (PYTHON=python2.4)
> PORTED: libgda (-I/usr/local/include/db4 hilft enorm)
> PORTED: libgtop (heavily patched, see plato:~he/patches/libgtop)
> PORTED: libgksu2 (patched)
> PORTED: libgksuui
> PORTED: gksu
> PORTED: gnome-python-extras (PYTHON=python2.4)
>
> FIXME: nautilus-cd-burner (will unbedingt hal - wirklich?)
>
> PORTED: gstreamer
> PORTED: gst-plugins-base
> PORTED: gst-plugins-good (siehe patches/gst-plugins-good)
> PORTED: alacarte (PYTHON=2.4)
> PORTED: bug-buddy
> PORTED: libxklavier (patched)
> PORTED: metacity
> PORTED: control-center (patched)
> PORTED: gtkhtml
>
> PORTED: dasher (patched)
> PORTED: gnome-media
> PORTED: iso-codes (force auf PYTHON=python2.4)
> PORTED: totem
> PORTED: gnome-python-desktop (force auf PYTHON=python2.4, patched)
> PORTED: deskbar-applet (CONFIGURE_ARGS = $(DIRPATHS)
> PYTHONPATH=/home/he/garnome/lib/python2.4/site-packages:/home/he/garnome/lib/python2.4/site-packages/gtk-2.0
> LD_LIBRARY_PATH=/home/he/garnome/lib PYTHON=/usr/local/bin/python2.4)
> PORTED: pwlib (CONFIGURE_ARGS = $(DIRPATHS) --enable-opal
> --enable-plugins --disable-oss --disable-v4l2 --disable-openssl
> --disable-sasl)
> opal
> ekiga
> PORTED: eog
> PORTED: poppler (--enable-zlib LIBS=-lpthread)
> PORTED: evince
>
> PORTED: gob2
> pilot-link (aus ports)
> PORTED: gnome-pilot
> PORTED: gnome-pilot-conduits (patched)
> aspell (aus ports)
> PORTED: gnome-spell (mit LIBS=-lm -lstdc++ geht's, siehe aspell)
> PORTED: libnotify
> PORTED: evolution (patched)
> PORTED: evolution-exchange
> PORTED: evolution-webcal
> PORTED: gdm
> fast-user-switch-applet
> PORTED: file-roller
> PORTED: gcalctool
> PORTED: gconf-editor
> PORTED: gedit
> BAUT DERZEIT NICHT: gnome-applets (PYTHON=/usr/local/bin/python2.4, patched)
> PORTED: gnome-audio
> PORTED: gnome-backgrounds
> PORTED: gnome-games
> PORTED: gnome-keyring-manager
> PORTED: vte
> PORTED: gnome-terminal
> PARTIALLY PORTED: gnome-session
> PORTED: at-spi
> PORTED: gnome-mag
> NOT PORTED (tut nicht auf openbsd): gnome-netstatus
> BUGGY auf openbsd: gnome-nettool (patched)
> PORTED: dia (CFLAGS=-I/usr/local/include/libpng/) (aus ports)
> gnomebaker (patched)
> pessulus
> sabayon
>
>
>
>

Reply | Threaded
Open this post in threaded view
|

Re: gnome 2.16 packaging

Alexander Wirt-4
Sam Fourman Jr. schrieb:

> I am REALLY excited about this port of Gnome 2.16
>
>
> I Installed in this order and when i got to gtk+ I get error code 1
>
> Missing library for tiff.35
> Missing library for png.3
> Missing library for jpeg.62
>
> do you have specific versions that I have to install?
I updated the gtk+2 port (and several others) and added saner
build-deps. Can you please update the port and give it another try?

Alex



smime.p7s (5K) Download Attachment